#ifndef BASEWIDGET_H
#define BASEWIDGET_H

#include <QWidget>
#include <QGSettings>
#include <QVBoxLayout>

class baseWidget : public QWidget
{
    Q_OBJECT
public:
    explicit baseWidget(QWidget *parent = nullptr);
    virtual ~baseWidget();
    void initOpacityGSettings();

    QVBoxLayout * mainWindowVboxLayout;

protected:
    void paintEvent(QPaintEvent * event);
    bool eventFilter(QObject *watched, QEvent *event);

private:
    // QGSettings
    QGSettings *m_gsTransOpacity = nullptr;
    qreal m_curTransOpacity = 1;
    //QTimer *m_hideTimer;


};

#endif // BASEWIDGET_H
